C3DRotation Class Reference

`#include <mia/3d/rot.hh>`

Collaboration diagram for C3DRotation:
[legend]

## Public Member Functions

C3DDMatrix | as_matrix_3x3 () const
Quaternion | as_quaternion () const
std::string | as_string () const
| C3DRotation ()
| C3DRotation (const C3DDMatrix &m)
| C3DRotation (const C3DRotation &other)
| C3DRotation (const Quaternion &q)
| C3DRotation (const std::string &s)
C3DRotation & | operator= (const C3DRotation &other)
| ~C3DRotation ()

## Static Public Attributes

static const C3DRotation | _1

## Detailed Description

Definition at line 30 of file rot.hh.

## Constructor & Destructor Documentation

## C3DRotation() [1/5]

C3DRotation::C3DRotation | ( |  | ) |

Referenced by C3DRotation(), and operator=().

## ~C3DRotation()

C3DRotation::~C3DRotation | ( |  | ) |

## C3DRotation() [2/5]

C3DRotation::C3DRotation | ( | const C3DRotation & | other | ) |

References C3DRotation().

## C3DRotation() [3/5]

C3DRotation::C3DRotation | ( | const C3DDMatrix & | m | ) |

## C3DRotation() [4/5]

C3DRotation::C3DRotation | ( | const Quaternion & | q | ) |

## C3DRotation() [5/5]

C3DRotation::C3DRotation | ( | const std::string & | s | ) |

## Member Function Documentation

## as_matrix_3x3()

C3DDMatrix C3DRotation::as_matrix_3x3 | ( |  | ) | const

## as_quaternion()

Quaternion C3DRotation::as_quaternion | ( |  | ) | const

## as_string()

std::string C3DRotation::as_string | ( |  | ) | const

Referenced by dispatch_attr_string< C3DRotation >::val2string().

## operator=()

C3DRotation & C3DRotation::operator= | ( | const C3DRotation & | other | ) |

References C3DRotation().

## Field Documentation

## _1

const C3DRotation C3DRotation::_1

static

Definition at line 47 of file rot.hh.

The documentation for this class was generated from the following file:

- rot.hh